osl::effect_util::Neighboring8Direct Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Classes | Static Public Member Functions | Static Private Member Functions | Static Private Attributes | List of all members
osl::effect_util::Neighboring8Direct Class Reference

8近傍への直接の利きを判定する More...

`#include <neighboring8Direct.h>`

Collaboration diagram for osl::effect_util::Neighboring8Direct:
[legend]

## Classes
class | Table

## Static Public Member Functions
static bool | hasEffect (const NumEffectState &state, PtypeO ptypeo, Square from, Square target)
| ptypeo の駒がfromからtargetの8近傍に直接の利きを持つか More...
static bool | hasEffectOrAdditional (const NumEffectState &state, PtypeO ptypeo, Square from, Square target)
| ptypeo の駒がfromからtargetの8近傍に直接の利きを持つか そのような駒への追加/影利きになっている More...
static Square | findNearest (const NumEffectState &state, PtypeO ptypeo, Square from, Square target)
static bool | hasEffectNaive (const NumEffectState &state, PtypeO ptypeo, Square from, Square target)

## Static Private Member Functions
static bool | hasEffectFromTo (const NumEffectState &state, PtypeO ptypeo, Square from, Square target, Direction d)

## Static Private Attributes
static const Table | table

## Detailed Description

8近傍への直接の利きを判定する

Definition at line 16 of file neighboring8Direct.h.

## Member Function Documentation

static Square osl::effect_util::Neighboring8Direct::findNearest | ( | const NumEffectState & | state,
|  | PtypeO | ptypeo,
|  | Square | from,
|  | Square | target
| ) |  |
| inlinestatic

Definition at line 124 of file neighboring8Direct.h.

References osl::effect_util::Neighboring8Direct::Table::findNearest(), and table.

static bool osl::effect_util::Neighboring8Direct::hasEffect | ( | const NumEffectState & | state,
|  | PtypeO | ptypeo,
|  | Square | from,
|  | Square | target
| ) |  |
| inlinestatic

ptypeo の駒がfromからtargetの8近傍に直接の利きを持つか

Definition at line 108 of file neighboring8Direct.h.

References osl::effect_util::Neighboring8Direct::Table::hasEffect(), and table.

bool osl::effect_util::Neighboring8Direct::hasEffectFromTo | ( | const NumEffectState & | state,
|  | PtypeO | ptypeo,
|  | Square | from,
|  | Square | target,
|  | Direction | d
| ) |  |
| staticprivate

Definition at line 83 of file neighboring8Direct.cc.

References osl::Board_Table, osl::BoardTable::getOffsetForBlack(), and osl::Square::isOnBoard().

bool osl::effect_util::Neighboring8Direct::hasEffectNaive | ( | const NumEffectState & | state,
|  | PtypeO | ptypeo,
|  | Square | from,
|  | Square | target
| ) |  |
| static

Definition at line 92 of file neighboring8Direct.cc.

References osl::D, osl::DL, osl::DR, osl::getPtype(), osl::PtypeTable::hasLongMove(), osl::L, osl::LANCE, osl::Ptype_Table, osl::R, osl::U, osl::UL, osl::UR, osl::Square::x(), and osl::Square::y().

static bool osl::effect_util::Neighboring8Direct::hasEffectOrAdditional | ( | const NumEffectState & | state,
|  | PtypeO | ptypeo,
|  | Square | from,
|  | Square | target
| ) |  |
| inlinestatic

ptypeo の駒がfromからtargetの8近傍に直接の利きを持つか そのような駒への追加/影利きになっている

Definition at line 118 of file neighboring8Direct.h.

References osl::effect_util::Neighboring8Direct::Table::hasEffectOrAdditional(), and table.

## Member Data Documentation

const effect_util::Neighboring8Direct::Table osl::Neighboring8Direct::table
| staticprivate

Definition at line 103 of file neighboring8Direct.h.

Referenced by findNearest(), hasEffect(), and hasEffectOrAdditional().

The documentation for this class was generated from the following files:

- neighboring8Direct.h
- neighboring8Direct.cc
- tables.cc